osl::record::KisenFile Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes | Private Attributes | List of all members
osl::record::KisenFile Class Reference

「.kif」という拡張子を持つ棋泉形式ファイル. More...

`#include <kisen.h>`

Collaboration diagram for osl::record::KisenFile:
[legend]

## Public Member Functions
| KisenFile (const std::string &fileName)
| ~KisenFile ()
size_t | size () const
const NumEffectState | getInitialState () const
const vector< Move > | getMoves (size_t index)
const std::string & | getFileName () const
const std::string | ipxFileName () const

## Static Public Member Functions
static const std::string | ipxFileName (const std::string &)

## Static Public Attributes
static const size_t | maxMoves =256

## Private Attributes
std::ifstream | ifs
size_t | numberOfGames
state::SimpleState const | initialState
const std::string | fileName

## Detailed Description

「.kif」という拡張子を持つ棋泉形式ファイル.

手のみの情報が入っている

Definition at line 39 of file kisen.h.

## Constructor & Destructor Documentation

osl::record::KisenFile::KisenFile | ( | const std::string & | fileName) |  |
| explicit

Definition at line 89 of file kisen.cc.

References ifs, and numberOfGames.

osl::record::KisenFile::~KisenFile | ( | ) |  |

Definition at line 283 of file kisen.cc.

## Member Function Documentation

const std::string& osl::record::KisenFile::getFileName | ( | ) |  | const
| inline

Definition at line 53 of file kisen.h.

References fileName.

const NumEffectState osl::record::KisenFile::getInitialState | ( | ) |  | const
| inline

Definition at line 51 of file kisen.h.

References initialState.

Referenced by check_all(), convert(), find_all(), and main().

const vector< Move > osl::record::KisenFile::getMoves | ( | size_t | index) |  |

Definition at line 99 of file kisen.cc.

References osl::alt(), osl::BLACK, osl::record::KisenUtils::convertMove(), ifs, osl::Move::isInvalid(), maxMoves, moves, and size().

Referenced by check_all(), convert(), find_all(), and main().

const std::string osl::record::KisenFile::ipxFileName | ( | ) |  | const
| inline

Definition at line 54 of file kisen.h.

References fileName, and ipxFileName().

Referenced by ipxFileName().

const std::string osl::record::KisenFile::ipxFileName | ( | const std::string & | filename) |  |
| static

Definition at line 128 of file kisen.cc.

References osl::misc::file_string().

size_t osl::record::KisenFile::size | ( | ) |  | const
| inline

Definition at line 50 of file kisen.h.

References numberOfGames.

Referenced by check_all(), convert(), find_all(), getMoves(), and main().

## Member Data Documentation

const std::string osl::record::KisenFile::fileName
| private

Definition at line 44 of file kisen.h.

Referenced by getFileName(), and ipxFileName().

std::ifstream osl::record::KisenFile::ifs
| private

Definition at line 41 of file kisen.h.

Referenced by getMoves(), and KisenFile().

state::SimpleState const osl::record::KisenFile::initialState
| private

Definition at line 43 of file kisen.h.

Referenced by getInitialState().

const size_t osl::record::KisenFile::maxMoves =256
| static

Definition at line 46 of file kisen.h.

Referenced by getMoves().

size_t osl::record::KisenFile::numberOfGames
| private

Definition at line 42 of file kisen.h.

Referenced by KisenFile(), and size().

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc